%define cvsdate 2002-01-25
%define reldate %(echo %{cvsdate} | sed -e 's/-//g')

Summary:   A freely licensed alternative to the GLUT library
Name:      freeglut
# Keep the version as 1.3 to avoid using epoch when 1.3 releases
Version:   1.3
# Encode the CVS date and/or alpha/beta status in the release
Release: 1.%{reldate}.3
URL:       http://freeglut.sourceforge.net
Source0:   http://freeglut.sourceforge.net/%{name}-%{version}-%{cvsdate}.tar.gz
License:   MIT
Group:     System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: /sbin/ldconfig

%description
freeglut is a completely open source alternative to the OpenGL Utility Toolkit
(GLUT) library with an OSI approved free software license. GLUT was originally
written by Mark Kilgard to support the sample programs in the second edition
OpenGL 'RedBook'. Since then, GLUT has been used in a wide variety of practical
applications because it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing OpenGL
contexts on a wide range of platforms and also read the mouse, keyboard and
joystick functions.

%package devel
Summary: freeglut developmental libraries and header files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Developmental libraries and header files required for developing or compiling
software which links to the freeglut library, which is an open source
alternative to the popular GLUT library, with an OSI approved free software
license.

%prep
# The source tarball is packaged extremely bizarrely requiring us to specify
# the directory name here.
%setup -q -n %{name}-0.1

%build
%configure --x-libraries=/usr/X11R6/%{_lib}
make CFLAGS="$RPM_OPT_FLAGS $(pkg-config --cflags glib) -L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 
/sbin/ldconfig -n %{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# There are no shared libraries yet, but when there are, the runtimes go here
%{_bindir}/genfonts
%{_bindir}/genstroke
%{_bindir}/one
%{_libdir}/libfreeglut-1.3.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/GL/freeglut.h
%{_libdir}/libfreeglut-*.a
%{_libdir}/libfreeglut-*.la
%{_libdir}/libfreeglut-1.3.so

%changelog
* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Mike A. Harris <mharris@devel.capslock.lan> 1.3-0.20020125.3
- Add BuildRequires on /sbin/ldconfig
- Change ldconfig call to explicit /sbin/ldconfig

* Sun Jun  1 2003 Mike A. Harris <mharris@devel.capslock.lan> 1.3-0.20020125.2
- Oddly, when I build this on my workstation, it only builds static libs, but
  when I build it in the buildsystem it builds shared and static libs.  Must
  be a twilight zone thing going on.  Add shared libs to file lists.

* Sat May 31 2003 Mike A. Harris <mharris@devel.capslock.lan> 1.3-0.20020125.1
- Added -L/usr/X11R6/%{_lib} configure script invocation and CFLAGS so lib64
  is treated properly on x86_64/ppc64/s390x architectures
  
* Fri May 30 2003 Mike A. Harris <mharris@devel.capslock.lan> 1.3-0.20020125.0
- Initial build.
